Bug 1952487 - Template filter does not work properly
Summary: Template filter does not work properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Aviv Turgeman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks: 1952392
TreeView+ depends on / blocked
 
Reported: 2021-04-22 11:37 UTC by Guohua Ouyang
Modified: 2021-07-27 23:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Filtering according to template provider Reason: it was working wrong and made confusions with users. Result: Simpler filter with only 2 options, adding a tag for templates that are supported only by the community
Clone Of:
Environment:
Last Closed: 2021-07-27 23:02:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
none 'Red Hat' supported templates were filtered out (211.25 KB, image/png)
2021-04-26 02:38 UTC, Guohua Ouyang
no flags Details
not all user provided templates are filtering out (2.46 MB, application/octet-stream)
2021-04-26 02:45 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8843 0 None open Bug 1952487: Template filter does not work properly 2021-05-03 16:51:33 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:03:13 UTC

Description Guohua Ouyang 2021-04-22 11:37:04 UTC
Description of problem:
- When filtering by Red Hat Supported, the page displayed more than Red Hat Supported template.
- "User provided" or "Red Hat provided" has no templates filter out at all.

Version-Release number of selected component (if applicable):
OCP 4.8

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Aviv Turgeman 2021-04-25 13:07:22 UTC
Hi Guohua

can you please provide a screenshot of the issue?

Comment 2 Guohua Ouyang 2021-04-26 02:38:11 UTC
Created attachment 1775387 [details]
none 'Red Hat' supported templates were filtered out

Comment 3 Guohua Ouyang 2021-04-26 02:45:16 UTC
Created attachment 1775395 [details]
not all user provided templates are filtering out

in this video, there are two user created templates, only one is filtering out by 'user provided'.

Comment 7 errata-xmlrpc 2021-07-27 23:02:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.